# driver.h File Reference

Base for all drivers (video, sound, music, etc). More...

`#include "core/enum_type.hpp"`
`#include "core/string_compare_type.hpp"`
`#include "string_func.h"`
`#include <map>`

Go to the source code of this file.

## Data Structures
class | Driver
class | DriverFactoryBase
## Functions
const char * | GetDriverParam (const char *const *parm, const char *name)
bool | GetDriverParamBool (const char *const *parm, const char *name)
int | GetDriverParamInt (const char *const *parm, const char *name, int def)
| DECLARE_POSTFIX_INCREMENT (Driver::Type)

## Detailed Description

Base for all drivers (video, sound, music, etc).

Definition in file driver.h.